#include <pslib.h>
#include <ippdb.h>
#include <stdlib.h>

int main ()
{
    {
        psDB            *dbh;
        weatherRow      *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = weatherPopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        skyp_transparencyRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = skyp_transparencyPopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        skyp_absorptionRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = skyp_absorptionPopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        skyp_emissionRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = skyp_emissionPopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        dimmRow         *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = dimmPopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        skyp_irRow      *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = skyp_irPopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        domeRow         *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = domePopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        telescopeRow    *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = telescopePopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        summitExpRow    *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = summitExpPopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        pzPendingExpRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = pzPendingExpPopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        pzPendingImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = pzPendingImfilePopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        newExpRow       *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = newExpPopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        newImfileRow    *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = newImfilePopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        rawDetrendExpRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = rawDetrendExpPopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        rawScienceExpRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = rawScienceExpPopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        rawImfileRow    *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = rawImfilePopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        p1PendingExpRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = p1PendingExpPopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        p2PendingExpRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = p2PendingExpPopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        p2PendingImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = p2PendingImfilePopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        p2DoneExpRow    *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = p2DoneExpPopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        p2DoneImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = p2DoneImfilePopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        p3PendingExpRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = p3PendingExpPopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detRunRow       *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detRunPopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detInputExpRow  *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detInputExpPopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detProcessedImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detProcessedImfilePopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detStackedImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detStackedImfilePopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detNormalizedImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detNormalizedImfilePopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detMasterFrameRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detMasterFramePopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detMasterImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detMasterImfilePopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detResidImfileAnalysisRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detResidImfileAnalysisPopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detResidExpAnalysisRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detResidExpAnalysisPopObject(dbh);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    exit(EXIT_SUCCESS);
}
